Package it.ernytech.tdlib

## Class TdApi.UpdateDeleteMessages

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateDeleteMessages

Enclosing class:
  TdApi

    public static class TdApi.UpdateDeleteMessages
    extends TdApi.Update

Some messages were deleted.

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `fromCache` True, if the messages are deleted only from the cache and can possibly be retrieved again in the future.
`boolean` `isPermanent` True, if the messages are permanently deleted by a user (as opposed to just becoming unaccessible).
`long[]` `messageIds` Identifiers of the deleted messages.

### Constructor Summary

Constructors
`UpdateDeleteMessages()` Default constructor.
`UpdateDeleteMessages​(long chatId, long[] messageIds, boolean isPermanent, boolean fromCache)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### messageIds

    public long[] messageIds

Identifiers of the deleted messages.

#### isPermanent

    public boolean isPermanent

True, if the messages are permanently deleted by a user (as opposed to just becoming unaccessible).

#### fromCache

    public boolean fromCache

True, if the messages are deleted only from the cache and can possibly be retrieved again in the future.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateDeleteMessages

    public UpdateDeleteMessages()

Default constructor.

#### UpdateDeleteMessages

    public UpdateDeleteMessages​(long chatId,
                                long[] messageIds,
                                boolean isPermanent,
                                boolean fromCache)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `messageIds` - Identifiers of the deleted messages.
  `isPermanent` - True, if the messages are permanently deleted by a user (as opposed to just becoming unaccessible).
  `fromCache` - True, if the messages are deleted only from the cache and can possibly be retrieved again in the future.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR